ggiSetGamma(3ggi)

NAME
ggiSetGammaMap, ggiGetGammaMap, ggiSetGamma, ggiGetGamma - Manipulate the gamma maps and the gamma correction of a visual

SYNOPSIS
#include <ggi/ggi.h>

int ggiSetGammaMap(ggi_visual_t vis, int s, int len, ggi_color *gammamap);

int ggiGetGammaMap(ggi_visual_t vis, int s, int len, ggi_color *gammamap);

int ggiSetGamma(ggi_visual_t vis, ggi_float r, ggi_float g, ggi_float b);

int ggiGetGamma(ggi_visual_t vis, ggi_float *r, ggi_float *g, ggi_float *b); .SH "DESCRIPTION"

Some truecolor modes on some hardware can use the DAC's palette to lookup the values before sending to the monitor. Generally this is used for gamma correction by filling the lookup table with a curve, hence the name "gamma map", but it could be used for other things e.g. special effects in games.

ggiSetGammaMap and ggiGetGammaMap sets or gets the gamma map, for len colors starting at s.

ggiSetGamma and ggiGetGamma sets or gets the gamma correction for the visual.

RETURN VALUE

All four functions 0 for OK, otherwise an error code.